define("pBWOFExoticFarEastComponentsGameControllerApi", ["componentmodelComponentApi", "slotModelApi", "winMeterApi", "winControllerApi", "reelsApi", "jackpotMeterApi", "gameLayoutApi", "clientkernelEventbusApi", "backgroundApi", "betPanelApi", "moneyApi"],
    function(componentmodelComponentApi, slotModelApi, winMeterApi, winControllerApi, reelsApi, jackpotMeterApi, gameLayoutApi, clientkernelEventbusApi, backgroundApi, betPanelApi, moneyApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof pBWOFExoticFarEastComponentsGameControllerApi == 'undefined') {
            var pBWOFExoticFarEastComponentsGameControllerApi = {};
        };
        pBWOFExoticFarEastComponentsGameControllerApi.GameControllerDeclaration = function() {};
        pBWOFExoticFarEastComponentsGameControllerApi.GameControllerDeclaration = ck_implements(pBWOFExoticFarEastComponentsGameControllerApi.GameControllerDeclaration, componentmodelComponentApi.IComponentDeclaration);
        pBWOFExoticFarEastComponentsGameControllerApi.GameControllerDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        pBWOFExoticFarEastComponentsGameControllerApi.GameControllerDeclaration.__name__ = ["pBWOFExoticFarEastComponentsGameControllerApi", "GameControllerDeclaration"];
        pBWOFExoticFarEastComponentsGameControllerApi.GameControllerDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        pBWOFExoticFarEastComponentsGameControllerApi.GameControllerDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        pBWOFExoticFarEastComponentsGameControllerApi.GameControllerDeclaration.prototype.getImplementedPorts = function() {
            return [];
        };
        pBWOFExoticFarEastComponentsGameControllerApi.GameControllerDeclaration.prototype.getUsedPorts = function() {
            return [betPanelApi.IBetPanelPort, slotModelApi.ISlotModelPort, reelsApi.IReelsPort, gameLayoutApi.IGameLayoutPort, winMeterApi.IWinMeterPort, winControllerApi.IWinControllerPort, backgroundApi.IBackgroundPort, jackpotMeterApi.IJackpotMeterPort];
        };
        pBWOFExoticFarEastComponentsGameControllerApi.GameControllerDeclaration.prototype.__class__ = pBWOFExoticFarEastComponentsGameControllerApi.GameControllerDeclaration;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: pBWOFExoticFarEastComponentsGameControllerApi
        };
    });
//# sourceURL=pbWofExoticFarEastGameControllerApi.js